import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 维度服务对象基类
 *
 * @export
 * @class DADimensionServiceBase
 * @extends {EntityServie}
 */
export default class DADimensionServiceBase extends EntityService {

    /**
     * Creates an instance of  DADimensionServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  DADimensionServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof DADimensionServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='dadimension';
        this.APPDEKEY = 'id';
        this.APPDENAME = 'dadimensions';
        this.APPDETEXT = 'name';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'ibzdst';
    }

// 实体接口

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof DADimensionServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        // FetchDefault ---FETCH
        if(context.srfsessionkey && !Object.is(this.tempStorage.getItem(context.srfsessionkey+'_dadimensions'),'undefined')){
            let result:any = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_dadimensions') as any);
            if(result){
                return {"status":200,"data":result};
            }else{
                return {"status":200,"data":[]};
            } 
        }else{
            return {"status":200,"data":[]};
        }
    }

    /**
     * searchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof DADimensionServiceBase
     */
    public async searchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}